Name:           python36-jmespath
Version:        0.9.4
Release:        2%{dist} 
Url:            https://github.com/jmespath/jmespath.py
Summary:        JSON Matching Expressions
License:        MIT
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/j/jmespath/jmespath-%{version}.tar.gz
BuildArch:	noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python36-devel
BuildRequires:  python36-setuptools
Requires:	python36
Conflicts:	python34-jmespath

%description
JMESPath (pronounced "james path") allows you to declaratively specify how to
extract elements from a JSON document.

%prep
%setup -q -n jmespath-%{version}

%build
python3.6 setup.py build

%install
python3.6 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*
/usr/bin/jp.py

%changelog
* Tue Aug 20 2019 John Simpson <jms1@voalte.com> - 0.9.4-2
- added Conflicts: for python34-jmespath

* Fri Aug 2 2019 John Simpson <jms1@voalte.com> - 0.9.4-1
- updated to version 0.9.4
- updated for python 3.6
